## python-os-vif 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
ovsdbapp>=0.12.1 # Apache-2.0
pyroute2>=0.5.2;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining py2 Build-Depends.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:09:56 -0400

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-hacking (>= 1.1.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.20.0),
 python3-openvswitch (>= 2.9.2),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pyroute2 (>= 0.5.2),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Homepage: https://github.com/openstack/os-vif
Testsuite: autopkgtest-pkg-python

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector (>= 1.19.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.5.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-os-vif

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --no-py3 'os_vif\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean
	rm -rf build

# Skip commands
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-vif 2.2.0

=== debian/changelog ===
python-os-vif (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 22:37:28 +0200

python-os-vif (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:12:16 +0200

python-os-vif (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:26:50 +0200

python-os-vif (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:50:10 +0200

python-os-vif (1.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:54:10 +0200

python-os-vif (1.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-testtools from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:21:50 +0200

python-os-vif (1.15.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:04:39 +0200

python-os-vif (1.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove Python 2 support.
  * Run unit tests with installed package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 17:19:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 '--test-path $(CURDIR)/os_vif/tests os_vif\.tests\.unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
	dh_sphinxdoc
endif

## python-os-vif 2.2.1

=== debian/changelog ===
python-os-vif (2.2.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 11:17:01 +0000

## python-os-vif 2.4.0

=== debian/changelog ===
python-os-vif (2.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:40:02 +0000

python-os-vif (2.4.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 15:09:24 -0400

python-os-vif (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 14:23:29 +0000

python-os-vif (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/rules: Enable py3 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:32 -0400

python-os-vif (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:02:56 +0000

## python-os-vif 2.4.1

=== debian/changelog ===
python-os-vif (2.4.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:03:57 +0000

python-os-vif (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:33:36 +0200

python-os-vif (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 12:47:45 +0100

## python-os-vif 2.6.0

=== debian/changelog ===
python-os-vif (2.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:00:08 +0000

python-os-vif (2.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:18:17 -0400

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.19.0),
  python3-hacking (>= 1.1.0),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openvswitch (>= 2.9.2),
  python3-oslo.concurrency (>= 3.20.0),
  python3-oslo.config (>= 1:5.1.0),
@@ -31,7 +31,7 @@
  python3-oslotest (>= 1:1.10.0),
  python3-ovsdbapp (>= 0.12.1),
  python3-pyroute2 (>= 0.5.2),
- python3-reno (>= 2.5.0),
+ python3-reno (>= 2.11.2),
  python3-six (>= 1.10.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -39,9 +39,9 @@
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
-Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
 Homepage: https://github.com/openstack/os-vif
 Testsuite: autopkgtest-pkg-python

## python-os-vif 2.6.1

=== debian/changelog ===
python-os-vif (2.6.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:00:16 +0000

python-os-vif (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:23:57 +0200

python-os-vif (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:32:43 +0200

## python-os-vif 2.7.1

=== requirements.txt ===
--- 
+++ 
@@ -12,6 +12,5 @@
 oslo.versionedobjects>=1.28.0 # Apache-2.0
 ovsdbapp>=0.12.1 # Apache-2.0
 pyroute2>=0.5.2;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.19.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (2.7.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:38:58 -0500

python-os-vif (2.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:38:10 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-os-vif 2.7.2

=== debian/changelog ===
python-os-vif (2.7.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:50:32 +0000

python-os-vif (2.7.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:08:38 +0100

python-os-vif (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:50:38 +0100

## python-os-vif 2.8.0

=== debian/changelog ===
python-os-vif (2.8.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Jun 2022 21:05:45 +0000

python-os-vif (2.8.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:40:16 -0400

=== debian/control ===
--- 
+++ 
@@ -39,10 +39,9 @@
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
-Homepage: https://github.com/openstack/os-vif
+Homepage: https://opendev.org/openstack/os-vif
 Testsuite: autopkgtest-pkg-python
 
 Package: python-os-vif-doc

## python-os-vif 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-os-vif (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:07:32 +0200

python-os-vif (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:40:01 +0200

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.versionedobjects,
 python3-oslosphinx,
 python3-oslotest <!nocheck>,
 python3-ovsdbapp,
 python3-pyroute2,
 python3-reno,
 python3-six,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-testscenarios <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-vif
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-vif.git
Homepage: https://github.com/openstack/os-vif

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.versionedobjects,
 python3-ovsdbapp,
 python3-pbr,
 python3-pyroute2,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-vif/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-os-vif 3.1.1

=== debian/changelog ===
python-os-vif (3.1.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Feb 2023 19:14:56 +0000

python-os-vif (3.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:20:49 -0500

python-os-vif (3.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:26:54 -0500

## python-os-vif 3.2.0

=== debian/changelog ===
python-os-vif (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:51:12 +0200

python-os-vif (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:32:15 +0200

python-os-vif (3.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1049006).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:51:48 +0200

python-os-vif (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:10:37 +0200

python-os-vif (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:30:06 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build AUTHORS ChangeLog
+	rm -rf AUTHORS ChangeLog
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-os-vif 3.4.0

=== debian/changelog ===
python-os-vif (3.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 13:03:39 +0000

python-os-vif (3.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:41:48 -0400

## python-os-vif 3.5.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=2.0.0  # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
ovsdbapp>=0.12.1 # Apache-2.0
pyroute2>=0.5.2;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (3.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 16:44:33 +0000

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-hacking (>= 1.1.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.9.2),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pyroute2 (>= 0.5.2),
 python3-reno (>= 2.11.2),
 python3-six (>= 1.10.0),
 python3-stestr (>= 3.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
Homepage: https://opendev.org/openstack/os-vif
Testsuite: autopkgtest-pkg-python

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector (>= 1.19.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.5.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-os-vif

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2 '--test-path $(CURDIR)/os_vif/tests os_vif\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean
	rm -rf build

# Skip commands
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/os-vif/ os_vif-(\d.*)\.tar\.gz

## python-os-vif 3.7.0

=== debian/changelog ===
python-os-vif (3.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 12:31:03 +0200

python-os-vif (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable, fixing FTBFS (Closes: #1064815).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2024 11:27:38 +0100

python-os-vif (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 16:33:40 +0100

python-os-vif (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to mode=git and version=4.
  * Blacklist TestObjectVersions.test_versions (wrong hash).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2024 19:04:23 +0100

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslosphinx,
 python3-oslotest <!nocheck>,
 python3-ovsdbapp,
 python3-pyroute2,
 python3-reno,
 python3-six,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-testscenarios <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-vif
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-vif.git
Homepage: https://github.com/openstack/os-vif

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-ovsdbapp,
 python3-pbr,
 python3-pyroute2,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf AUTHORS ChangeLog
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 '--test-path $(CURDIR)/os_vif/tests os_vif\.tests\.unit\.(?!test_objects\.TestObjectVersions\.test_versions)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
	dh_sphinxdoc
endif

## python-os-vif 3.7.1

=== debian/changelog ===
python-os-vif (3.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:05:07 +0000

python-os-vif (3.7.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090559).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:20:02 +0100

python-os-vif (3.7.0-3) unstable; urgency=medium

  * Removed python3-six from (build-)depends (Closes: #1083035).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 22:51:29 +0200

python-os-vif (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:27:46 +0200

## python-os-vif 4.0.0

=== debian/changelog ===
python-os-vif (4.0.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream, drop surplus
    dependencies.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 17:12:36 +0000

python-os-vif (3.7.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:01:40 +0100

python-os-vif (3.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:24:53 +0100

## python-os-vif 4.1.0

=== debian/changelog ===
python-os-vif (4.1.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 11:28:46 +0000

python-os-vif (4.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:36:59 +0000

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-hacking (>= 1.1.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.9.2),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pyroute2 (>= 0.5.2),
 python3-reno,
 python3-stestr (>= 3.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
Homepage: https://opendev.org/openstack/os-vif
Testsuite: autopkgtest-pkg-python

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector (>= 1.19.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.5.2),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

## python-os-vif 4.2.0

=== debian/changelog ===
python-os-vif (4.2.0-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.
  * d/{watch,upstream/signing-key.asc}: setup upstream tarball signing
    key verification.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 24 Jul 2025 16:22:29 -0400

## python-os-vif 4.2.1

=== requirements.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=3.0.0 # Apache-2.0
 oslo.concurrency>=3.20.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.log>=3.30.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.privsep>=1.23.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.20.0 # Apache-2.0
 oslo.utils>=2.0.0  # Apache-2.0
 oslo.versionedobjects>=1.28.0 # Apache-2.0
 ovsdbapp>=0.12.1 # Apache-2.0

=== debian/changelog ===
python-os-vif (4.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:27:12 +0200

python-os-vif (4.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:47:03 +0200

python-os-vif (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:42:55 +0100

python-os-vif (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:49:35 +0100

python-os-vif (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:10:59 +0100

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslosphinx,
 python3-oslotest <!nocheck>,
 python3-ovsdbapp,
 python3-pyroute2,
 python3-reno,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-testscenarios <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-vif
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-vif.git
Homepage: https://github.com/openstack/os-vif

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-ovsdbapp,
 python3-pbr,
 python3-pyroute2,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf AUTHORS ChangeLog

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-vif refs/tags/(\d[brc\d\.]+)

## python-os-vif 4.3.0

=== debian/changelog ===
python-os-vif (4.3.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 4.3.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 11:23:12 -0800

python-os-vif (4.2.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 10:20:20 -0700

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
    http://tarballs.openstack.org/os-vif/ os_vif-(\d.*)\.tar\.gz
